# Interface ScriptingHandler

All Superinterfaces:
  `ScriptingEventHandler`

All Known Subinterfaces:
  `ScriptingEngine`

All Known Implementing Classes:
  `FormControl.Scriptable, HTMLPage.Scriptable, ScriptableDelegate, WebForm.Scriptable, WebImage.Scriptable, WebLink.Scriptable, WebResponse.Scriptable`

public interface ScriptingHandler extends ScriptingEventHandler

Author:
  Russell Gold

## Method Summary

Modifier and Type
Method
Description
`void`
`clearCaches()`
`Object`
`evaluateExpression(String urlString)`
`String`
`runScript(String language, String script)`
`boolean`
`supportsScriptLanguage(String language)`

### Methods inherited from interface ScriptingEventHandler

`doEvent, doEventScript, handleEvent`

## Method Details

### supportsScriptLanguage

boolean supportsScriptLanguage(String language)

### runScript

String runScript(String language, String script)

### evaluateExpression

Object evaluateExpression(String urlString)

### clearCaches

void clearCaches()